console.log('uni_native_sdk 已加载 v5.3.1')
window.INIT_BRIDGE = false

var uniAppJSBridgeReady = function() {
	// alert('UniAppJSBridgeReady');
	console.log('uni_native_sdk: UniAppJSBridgeReady Listener')
	if (window.plus !== undefined) {
		console.log('uni_native_sdk: UniappJsEnvReady')
		init()
		window.INIT_BRIDGE = true
		window.postUniMessage("uniAppJSBridgeReady")
		// if (navigator.userAgent.indexOf('uni-app') > 0) {
	} else {
		setTimeout(this,1000)
		console.log('uni_native_sdk: Uniapp Env Init Error! No Plus Env:' + (navigator.userAgent.indexOf(
			'uni-app')))
	}
}
document.addEventListener('UniAppJSBridgeReady', uniAppJSBridgeReady);

// 劫持history pushState
initHistory = function(history) {
	// console.log("uni_native_sdk: history has inited");
	var pushState = history.pushState;
	history.pushState = function(state, title, url) {
		if (typeof history.onpushstate == "function") {
			history.onpushstate(state, title, url);
		}
		return pushState.apply(history, arguments);
	};
}
initHistory(window.history);


function init() {
	window.postUniMessage = function(action, param, callback) {
		console.log("call uni " + action)
		var timestamp = (new Date()).valueOf()
		var random = parseInt(Math.random() * 9)
		var callback_name = action + '_' + timestamp + '_' + random
		window[callback_name] = function(ret) {
			callback(ret)
			window[callback_name] = undefined
		}
		uni.postMessage({
			data: {
				action: action,
				param: param,
				callback: callback_name
			}
		});
	}

	window.onhashchange = function(res) {
		console.log("uni_native_sdk: onhashchange");
		window.postUniMessage("onHashChange", res.newURL)
	}

	history.onpushstate = function(state, title, url) {
		console.log('uni_native_sdk: onpushstate');
		window.postUniMessage("onHashChange", url)
	}


	window.back = function() {
		uni.webView.navigateBack();
	}

	window.getUserInfo = function() {
		console.log('-------------getUserInfo By Uni----------------')
		postUniMessage('getUserInfo', {}, function(ret) {
			window.onGetUserInfo(ret)
		})
	}
	/**
	 * 兼容旧版本跳转
	 */
	window.jumpToLogin = function() {

	}
}
